---
title: Sec-Fetch-Mode
slug: Web/HTTP/Headers/Sec-Fetch-Mode
tags:
  - Fetch Metadata Request Headers
  - HTTP
  - HTTP Header
---
<div>{{HTTPSidebar}}{{Draft}}</div>

<p>The <strong><code>Sec-Fetch-Mode</code></strong> fetch metadata header indicates the request's mode.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Fetch Metadata Request Header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>yes, since it has prefix <code>Sec-</code></td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("CORS-safelisted request header")}}</th>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Sec-Fetch-Mode: cors
Sec-Fetch-Mode: navigate
Sec-Fetch-Mode: nested-navigate
Sec-Fetch-Mode: no-cors
Sec-Fetch-Mode: same-origin
Sec-Fetch-Mode: websocket
</pre>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>cors</code></dt>
 <dd></dd>
 <dt><code>navigate</code></dt>
 <dd></dd>
 <dt><code>nested-navigate</code></dt>
 <dd></dd>
 <dt><code>no-cors</code></dt>
 <dd></dd>
 <dt><code>same-origin</code></dt>
 <dd></dd>
 <dt><code>websocket</code></dt>
 <dd></dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TODO</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Fetch Metadata','#sec-fetch-mode-header', 'Sec-Fetch-Mode')}}</td>
   <td>{{Spec2("Fetch Metadata")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Sec-Fetch-Mode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Sec-Fetch-Dest")}}</li>
 <li>{{HTTPHeader("Sec-Fetch-Site")}}</li>
 <li>{{HTTPHeader("Sec-Fetch-User")}}</li>
</ul>
